RPM::Dependencies(3)

NAME
RPM::Dependencies

DESCRIPTION
RPM::Dependencies is an iterator over a list of dependencies. The object is designed to use only few memory.

SYNOPSIS
    my $header = rpm2header('test-rpm-1.0-1.noarch.rpm');
    my $deps = RPM::Dependencies->new($header, "REQUIRENAME");
    while ($deps->next) {
        print $deps->name . "\n";
    }

FUNCTIONS

  new($header, $tag)
Create a new RPM::Dependencies set from $header for $tag type dependencies.

  $ds->count
Return the count of dependencies in set

  $ds->index
Return the current internal index pointer

  $ds->set_index($idx)
Set the internal index pointer to $idx

  $ds->init
Initialize the structure for next() call

  $ds->next
Point to next dependencies inside the set. Return the previous index.

The function allways return "True", in the case previous index was 0, it return "0E0" which is still 0 in an integer context.

  $ds->name
Return the name of the dependency at current index.

  $ds->flags
Return the dependency flags at current index.

  $ds->evr
Return the evr part of dependency at current index if any.

  $ds->color
Return the color of dependency at current index

  $ds->tag
Return the tag type of the dependencies set.

  $tag->create($tag, $name, $flags, $evr)
Create a new RPM::Dependencies object with one entry.

  $tag->add($name, $flags, $evr)
Add a new entry into the dependency set.

  $ds->overlap($ds2)
Return True if both dependency at both index currently match.

AUTHOR
Olivier Thauvin <nanardon@nanardon.zarb.org>

LICENSE
This software is under GPL, refer to rpm license for details.